<form [formGroup]="form" (ngSubmit)="onSubmit(form.value)" enctype="multipart/form-data">

  <div class="outer-container">
    <div class="input-container">
      <div class="form-input-container" >
        <mat-form-field class="input-block">
          <input matInput [(ngModel)]="selectedCategory.categoryName" placeholder="Nama Kategori" name="categoryName" id="categoryName" formControlName="categoryName">
          <button mat-button [disabled]="checkFormDisabled()" *ngIf="selectedCategory.categoryName" matSuffix mat-icon-button aria-label="Clear" (click)="selectedCategory.categoryName=''">
            <mat-icon>close</mat-icon>
          </button>
        </mat-form-field>
        <div class="input-message-container">
            <p *ngIf="form.controls.categoryName.errors?.required&&(form.controls.categoryName.touched||submitted)" class="error-message">Kategori Nama tidak boleh kosong.</p>
        </div>
      </div>

      <div class="form-input-container" >
        <mat-form-field class="input-block">
          <textarea matInput [(ngModel)]="selectedCategory.description" matTextareaAutosize matAutosizeMinRows="2" matAutosizeMaxRows="5" 
                placeholder="Deskripsi Kategori" name="description" id="description" formControlName="description"></textarea>
          <button mat-button [disabled]="checkFormDisabled()" *ngIf="selectedCategory.description" matSuffix mat-icon-button aria-label="Clear" (click)="selectedCategory.description=''">
            <mat-icon>close</mat-icon>
          </button>
        </mat-form-field>
        <div class="input-message-container">
        </div>
      </div>
    </div>
  </div>

  <div class="input-container submit-button-container">
    <a (click)="sendCancel()" color="light" mat-raised-button>Batal</a>
    <button *ngIf="!checkFormDisabled()" type="submit" color="accent" mat-raised-button>Simpan</button>
  </div>
</form>
